import { SvelteComponentTyped } from "svelte";
import { fromEvent } from "file-selector";
declare const __propDef: {
    props: {
        /**
           * Set accepted file types.
           * See https://github.com/okonet/attr-accept for more information.
           */ accept?: string | string[];
        disabled?: boolean;
        getFilesFromEvent?: typeof fromEvent;
        maxSize?: number;
        minSize?: number;
        multiple?: boolean;
        preventDropOnDocument?: boolean;
        noClick?: boolean;
        noKeyboard?: boolean;
        noDrag?: boolean;
        noDragEventsBubbling?: boolean;
        containerClasses?: string;
        containerStyles?: string;
        disableDefaultStyles?: boolean;
        name?: string;
        inputElement?: any;
        required?: boolean;
    };
    events: {
        dragenter: CustomEvent<any>;
        dragover: CustomEvent<any>;
        dragleave: CustomEvent<any>;
        filedropped: CustomEvent<any>;
        drop: CustomEvent<any>;
        droprejected: CustomEvent<any>;
        dropaccepted: CustomEvent<any>;
        filedialogcancel: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type DropzoneProps = typeof __propDef.props;
export type DropzoneEvents = typeof __propDef.events;
export type DropzoneSlots = typeof __propDef.slots;
export default class Dropzone extends SvelteComponentTyped<DropzoneProps, DropzoneEvents, DropzoneSlots> {
}
export {};
